# Ember-bootstrap-modal

## Installation

* `npm install --save-dev ember-bootstrap-modal`
* `ember g ember-bootstrap-modal`

###Example implementation

####templates/test.hbs

```handlebars
<div class="row">
    <div class="col-md-12">
        <button type="submit" type="button" class="btn btn-large btn-primary" {{action "toggleShow"}}>Show</button>
        {{test-modal isVisible=isVisible}}
    </div>
</div>
```

####controllers/test.js

```js
import Ember from 'ember';

export default Ember.Controller.extend({
    isVisible: false,
    actions: {
        toggleShow() {
            this.set('isVisible', !this.get('isVisible'));
        }
    }
});
```

####templates/components/test-modal.hbs

```handlebars
{{#bootstrap-modal isVisible=isVisible title="Your Custom Bootstrap Modal"}}
    {{input type="text" class="form-control"}}
{{/bootstrap-modal}}
```

####components/test-modal.js

```js
import Ember from 'ember';

export default Ember.Component.extend({
  actions: {
    doSave(d, meta) {
      //d.reject();
      d.resolve();
    },
    doAfterClose() {
      //
    },
    doClose(d) {
      if(confirm('Please confirm...')) {
        d.resolve();
      } else {
        d.reject();
      }
    }
  }
});
```